List Payment Transactions

List payment transactions and filter by parameters

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
length ≤ 36

Search by transaction_id.

Separate multiple transaction_id's with a comma.

Example: "8766546353263, 865756353537"

date

Search for transactions beginning on a particular date.

Format date as a mm/dd/yy string.

Example: "01/01/18"

date

Search for transactions ending on a particular date.

Format date as a mm/dd/yy string.

Example: "04/01/18"

string
enum

A case-sensitive string to return transactions by specific payment type type.

  • cc = Credit Card transactions
  • ach = ACH Transactions

You can return both cc and ach transactions by separating the values with a comma.

Example: "cc, ach"

Allowed:
string
enum
length ≤ 8

A case-sensitive string to return transactions by specific status type

  • approved = Approved transactions
  • declined = Declined transactions
Allowed:
string

Search for a specific amount.

Use whole numbers and up to two decimals as necessary.

  • Example: $12.00 = "12" or 12.0 or "12.00"
  • Example: $18.40 = 18.4 or "18.40"
  • Example: $48.98 = "48.98"
string

Search for a "from amount" to return all transactions equal to or greater than value entered.

Use whole numbers and up to two decimals as necessary.

  • Example: $12.00 = "12" or 12.0 or "12.00"
  • Example: $18.40 = 18.4 or "18.40"
  • Example: $48.98 = "48.98"
string
length ≤ 40

Case sensitive string search for transactions by name on credit card. Partial matches will be returned.

EXAMPLE: sending Jer will return transactions with cardholder_name Jerry Simms and also Brenda Jerkins

string

Case sensitive string search for transactions by card brand.

Valid values are:

  • visa
  • mastercard
  • amex
  • discover
  • jcb
  • `diners``

You can return multiple specific card brand combinations by separating the card brand names with a comma.

  • Example: "visa, amex"
string

Case sensitive string search for transactions by order_id.

You can return multiple transactions by separating the order_id with a comma.

  • Example: "abc-1277645, abc-1387665"
string

Search for transactions matching the first 6 digits of credit card account numbers.

You can return multiple transactions by separating the first_6 with a comma.

  • Example: "545454, 454847"
string

Search for transactions matching the last 4 digits of credit card account numbers.

You can return multiple transactions by separating the last_4 with a comma.

Example: "4766, 1287"

string

The number of results to return when viewing a page.

The default limit is 40

string

The number of results to skip before returning results.

The default offset is 0

Headers
string
required
length ≤ 24
Defaults to T6554252567241061980

The unique key identifying the app making this request.

NOTE: If testing use T6554252567241061980 for the Qor-App-Key header key.

string
required
Defaults to 01dffeb784c64d098c8c691ea589eb82

The Client key represents an authorized merchant account and is assigned by <<company_name>> or your merchant service account provider.

NOTE: If testing use 01dffeb784c64d098c8c691ea589eb82 for the Qor-Client-Key header key.

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json